<div id="modalJoin" class="modal">
    <div class="modal-background"></div>
    <div class="modal-card">
        <header class="modal-card-head">
            <p class="modal-card-title">
                Terms & Conditions
            </p>
            <button id="btnModalClose" class="delete" aria-label="close"></button>
        </header>
        <section class="modal-card-body">
            <div class="box has-background-white-ter has-text-centered">
                
                <form class="mx-5" method="get" action="/app/challenge/{{id}}/join">
                    

                    {{#if rules}}
                    <div class="field">
                        <label class="checkbox">
                            <input type="checkbox" name="agree" required>
                            I agree to the <a href="{{rules}}" target="_blank">terms and conditions</a>
                        </label>
                    </div>
                    {{/if}}

                    <div class="field has-text-centered">
                        <div class="control">
                            <button class="button is-primary is-large">Join</button>
                        </div>
                    </div>
                </form>
            </div>
        </section>
        <footer class="modal-card-foot">
            <button id="btnModalCancel" class="button">Cancel</button>
        </footer>
    </div>
</div>